Package org.silverpeas.mobile.client.common.navigation

## Class LinksManager

- java.lang.Object
- - org.silverpeas.mobile.client.common.navigation.LinksManager

-     public class LinksManager
      extends Object

  Author:
    svu

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinksManager()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `createAlbumPermalink​(String instanceId, String id)` |
    `static String` | `createApplicationPermalink​(String instanceId)` |
    `static String` | `createMediaPermalink​(String id)` |
    `static void` | `navigateToPermalink​(String url)` |
    `static void` | `openExternalLink​(String url, boolean openNewWindow, boolean internalLink)` |
    `static void` | `openIframePage​(String url)` |
    `static void` | `processLink​(HyperLinkDTO hyperLinkDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinksManager

          public LinksManager()

  - ### Method Detail

    - #### navigateToPermalink

          public static void navigateToPermalink​(String url)

    - #### createApplicationPermalink

          public static String createApplicationPermalink​(String instanceId)

    - #### createAlbumPermalink

          public static String createAlbumPermalink​(String instanceId,
                                                    String id)

    - #### createMediaPermalink

          public static String createMediaPermalink​(String id)

    - #### processLink

          public static void processLink​(HyperLinkDTO hyperLinkDTO)

    - #### openExternalLink

          public static void openExternalLink​(String url,
                                              boolean openNewWindow,
                                              boolean internalLink)

    - #### openIframePage

          public static void openIframePage​(String url)